Bug 179560

Summary: Web Inspector: Give DataGrid/Table Header ContextMenu a section header to better describe its functions
Product: WebKit Reporter: Joseph Pecoraro <joepeck>
Component: Web InspectorAssignee: Joseph Pecoraro <joepeck>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, inspector-bugzilla-changes, joepeck, mattbaker, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
[IMAGE] Before
none
[IMAGE] After
none
[PATCH] Proposed Fix none

Description Joseph Pecoraro 2017-11-10 16:19:43 PST
Give DataGrid/Table Header ContextMenu a section header to better describe its functions

Most noticeable in the Network Table but any table that can toggle showing/hiding columns.
Comment 1 Joseph Pecoraro 2017-11-10 16:22:21 PST
Created attachment 326651 [details]
[IMAGE] Before
Comment 2 Joseph Pecoraro 2017-11-10 16:22:32 PST
Created attachment 326652 [details]
[IMAGE] After
Comment 3 Joseph Pecoraro 2017-11-10 16:22:47 PST
Created attachment 326653 [details]
[PATCH] Proposed Fix
Comment 4 Matt Baker 2017-11-10 16:28:28 PST
(In reply to Joseph Pecoraro from comment #2)
> Created attachment 326652 [details]
> [IMAGE] After

I'm not sure this approach is better. Do we have examples of system UI or a commonly used app that does this?
Comment 5 Joseph Pecoraro 2017-11-10 17:29:16 PST
> I'm not sure this approach is better. Do we have examples of system UI or a
> commonly used app that does this?

I could go either way. Safari has this in its Mute tabs context menus, but with a bit of other flair. Mail/Finder don't have things like this for their tables.
Comment 6 Matt Baker 2017-11-11 15:12:05 PST
Comment on attachment 326653 [details]
[PATCH] Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=326653&action=review

r=me

> Source/WebInspectorUI/UserInterface/Views/DataGrid.js:1637
> +                    contextMenu.appendItem(WI.UIString("Displayed Columns"), () => {}, disabled);

What do you think about simply "Columns"?
Comment 7 Joseph Pecoraro 2017-11-13 10:56:30 PST
> > Source/WebInspectorUI/UserInterface/Views/DataGrid.js:1637
> > +                    contextMenu.appendItem(WI.UIString("Displayed Columns"), () => {}, disabled);
> 
> What do you think about simply "Columns"?

I had that and was convinced to switch to Displayed Columns, which provides a little more information about what the Check marks mean.
Comment 8 WebKit Commit Bot 2017-11-13 11:17:12 PST
Comment on attachment 326653 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 326653

Committed r224761: <https://trac.webkit.org/changeset/224761>
Comment 9 WebKit Commit Bot 2017-11-13 11:17:14 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2017-11-15 09:40:12 PST
<rdar://problem/35562195>